library(ggplot2)
mydata<-read.csv('gene.csv')
myblox1<-data.frame(apply(mydata[,2:4], MARGIN=1,FUN=mean))
names(myblox1)<-c('mdata')
myblox1$lab<-'control'
myblox2<-data.frame(apply(mydata[,5:7], MARGIN=1,FUN=mean))
names(myblox2)<-c('mdata')
myblox2$lab<-'treated'
mydata<-rbind(myblox1,myblox2)
mydata$lab<-as.factor(mydata$lab)
mytheme<-theme(axis.text.y = element_text(size=10),
               axis.text.x = element_text(size=14,face='bold'),
               axis.title.y = element_text(size=14,face='bold'),
               axis.title.x = element_blank(),
               legend.text = element_text(size = 12),
               legend.position = 'top',
               legend.title = element_blank(),
)

myplot<-ggplot(mydata,aes(x=lab,y=mdata,col=lab,fill=lab,shape=lab))+
  geom_boxplot(col='darkblue',notch = T,linetype=1,width=0.5,outlier.size = 0.9)+
  geom_jitter(alpha=0.1)+
  geom_rug(alpha=0.05)+
  scale_color_manual(values = c('#ffff1c','#00c3ff'))+
  scale_fill_manual(values = c('#ffff1c','#00c3ff'))+
  scale_y_continuous(limits = c(0,10000))+
  mytheme+
  labs(y='Mean')
ggsave('t1.pdf',plot = myplot,width = 7,height = 4)
