library(ggplot2)
library(ggExtra)
mydata<-read.csv('gene.csv')
myblox<-apply(mydata[,5:7], MARGIN=1,FUN=mean)/apply(mydata[,2:4], MARGIN=1,FUN=mean)
mydata<-data.frame(myblox)
mytheme<-theme(axis.text = element_text(size=11),
               axis.title = element_text(size=14,face='bold'),
               legend.text = element_text(size = 12),
               legend.position = 'top',
               legend.title = element_text(size=13),
               plot.title = element_text(size = 19,face = 'bold')
)
p1<-ggplot(mydata,aes(x=myblox))+
  geom_histogram(aes(y=..density..),binwidth = 0.005,col='white',fill='#00c3ff')+
  geom_density(fill='#ffff1c',alpha=0.6,col='#ffff1c')+
  geom_point(stat = 'density',col='white',size=0)+
  geom_rug(alpha=0.1,sides = 'b',size=2,col='#009FFF')+
  #geom_line(mapping = aes(x=ppx,y=ppy),linetype = 3,col = 'red')+
  #geom_vline(xintercept = mean(mydata$myblox),size=1,linetype = 6,col='red')+
  #annotate('text',x = 0.013,y = 90,label=paste( format(mean(mydata1$tmpdata),scientific = T)),col='blue')+
  labs(x='log2FoldChange',y='Density',title = 'With sd of 13')+
  mytheme
#myplot<-
ggMarginal(p1,type = "boxplot",size=7,linetype=2,fill='#FDFC47',alpha=0.9,col='darkblue')
ggsave('t2.pdf',p1,width = 7,height = 4)
