library(ggplot2)
library(ggExtra)
library(moments)
library(extrafont)
windowsFonts(
  A=windowsFont("IMPACT"),
  B=windowsFont("Times New Roman"),
  C=windowsFont("Freestyle Script")
)
ki<-c()
si<-c()
ji<-c()
for(i in 1:1000){
  x<-rnorm(7000)
  ki<-c(ki,kurtosis(x))
  si<-c(si,skewness(x))
  ji<-c(ji,as.numeric(jarque.test(x)$statistic))
}
mytheme<-theme(axis.text = element_text(size=11),
               axis.title = element_text(size=14,face='bold'),
               legend.text = element_text(size = 12),
               legend.position = 'top',#text = element_text(family = 'Arial'),
               legend.title = element_text(size=13),
               plot.title = element_text(size = 19,face = 'bold')
)

ji<-data.frame(ji)
p3<-ggplot(ji,aes(x=ji))+
  geom_histogram(aes(y=..density..),binwidth = 0.5,col='white',fill='#00c3ff')+
  geom_density(fill='#ffff1c',alpha=0.6,col='#ffff1c')+
  geom_point(stat = 'density',col='white',size=0)+
  geom_rug(alpha=0.1,sides = 'b',size=2,col='#009FFF')+
  geom_vline(xintercept = mean(ji$ji),size=1,linetype = 4,col='red')+
  scale_x_continuous(limits = c(0,7))+
  annotate('segment',x = 4,y = 0.1,xend = 5,yend = 0.25,arrow=arrow(type = 'closed',length = unit(0.5,'cm')),size=1.5,col='#FBD786')+
  annotate('text',x = 5,y = 0.35,label='6000 is too far\nfrom here',family="C",size=9,col='#7303c0')+
  labs(x='Jarque-Bera',y='Density')+
  mytheme
myplot3<-ggMarginal(p3,type = "boxplot",size=7,linetype=2,fill='#FDFC47',alpha=0.9,col='darkblue')
print(myplot3)
#ggsave(filename = 't3_3.pdf',plot = myplot3,width = 7,height = 4)

si<-data.frame(si)
p2<-ggplot(si,aes(x=si))+
  geom_histogram(aes(y=..density..),binwidth = 0.01,col='white',fill='#00c3ff')+
  geom_density(fill='#ffff1c',alpha=0.6,col='#ffff1c')+
  geom_point(stat = 'density',col='white',size=0)+
  geom_rug(alpha=0.1,sides = 'b',size=2,col='#009FFF')+
  geom_vline(xintercept = mean(si$si),size=1,linetype = 4,col='red')+
  annotate('segment',x = 0.06,y = 2.7,xend = 0.09,yend = 8,arrow=arrow(type = 'closed',length = unit(0.5,'cm')),size=1.5,col='#FBD786')+
  annotate('text',x = 0.085,y = 10,label='1.56 is too far\nfrom here',family="C",size=9,col='#7303c0')+
  labs(x='Skewness',y='Density')+
  mytheme
myplot2<-ggMarginal(p2,type = "boxplot",size=7,linetype=2,fill='#FDFC47',alpha=0.9,col='darkblue')
print(myplot2)
#ggsave(filename = 't3_2.pdf',plot = myplot2,width = 7,height = 4)
ki<-data.frame(ki)
p1<-ggplot(ki,aes(x=ki))+
  geom_histogram(aes(y=..density..),binwidth = 0.02,col='white',fill='#00c3ff')+
  geom_density(fill='#ffff1c',alpha=0.6,col='#ffff1c')+
  geom_point(stat = 'density',col='white',size=0)+
  geom_rug(alpha=0.1,sides = 'b',size=2,col='#009FFF')+
  geom_vline(xintercept = mean(ki$ki),size=1,linetype = 4,col='red')+
  annotate('segment',x = 3.12,y = 2.17,xend = 3.15,yend = 5,arrow=arrow(type = 'closed',length = unit(0.5,'cm')),size=1.5,col='#FBD786')+
  annotate('text',x = 3.15,y = 6,label='6.30 is too far\nfrom here',col='#7303c0',size=9,family="C")+
  labs(x='Kurtosis',y='Density')+
  mytheme
myplot1<-ggMarginal(p1,type = "boxplot",size=7,linetype=2,fill='#FDFC47',alpha=0.9,col='darkblue')
print(myplot1)
#ggsave(filename = 't3_1.pdf',plot = myplot1,width = 7,height = 4)
